Bug 245601 - [patch] Fix missing log rotation, daemon(1) process names in net-mgmt/blackbox_exporter
Summary: [patch] Fix missing log rotation, daemon(1) process names in net-mgmt/blackbo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-13 15:02 UTC by Ryan Steinmetz
Modified: 2020-07-09 15:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bsam)


Attachments
Log rotation fix, daemon(1) naming fix (4.60 KB, text/plain)
2020-04-13 15:02 UTC, Ryan Steinmetz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Steinmetz freebsd_committer freebsd_triage 2020-04-13 15:02:23 UTC
Created attachment 213373 [details]
Log rotation fix, daemon(1) naming fix

The current solution does not permit graceful rotation of log files.

- Switch to a solution that supports log rotation
- Update pkg-message with details/examples
- Fix missing name in daemon(1) process
- Set daemon(1) log process name
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2020-04-13 15:03:26 UTC
This copies fixes/enhancements over from net-mgmt/ping_exporter.
Comment 2 Automation User 2020-05-10 23:07:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144523577
Comment 3 commit-hook freebsd_committer 2020-07-09 15:57:11 UTC
A commit references this bug:

Author: zi
Date: Thu Jul  9 15:56:41 UTC 2020
New revision: 541759
URL: https://svnweb.freebsd.org/changeset/ports/541759

Log:
  - Switch to a solution that supports log rotation
  - Update pkg-message with details/examples
  - Fix missing name in daemon(1) process
  - Set daemon(1) log process name
  - Bump PORTREVISION

  PR:             245601
  Submitted by:   zi@
  Approved by:    bsam@ (maintainer timeout, 2+ months)

Changes:
  head/net-mgmt/blackbox_exporter/Makefile
  head/net-mgmt/blackbox_exporter/files/blackbox_exporter.in
  head/net-mgmt/blackbox_exporter/files/blackbox_exporter.newsyslog
  head/net-mgmt/blackbox_exporter/files/blackbox_exporter.syslog
  head/net-mgmt/blackbox_exporter/files/pkg-message.in
  head/net-mgmt/blackbox_exporter/pkg-plist